/*!
 *	\file	widget.cpp
 *	\brief	Реализация класса "widget".
 */

#include <QtGui>

#include "widget.h"


Widget::Widget(QWidget* p_parent) : QWidget(p_parent)
{
	setupUi(this);

	connect(tabWidget,SIGNAL(tabCloseRequested(int)),SLOT(closeCompositionTab(int)));
    setWindowTitle(tr("Тестовое окно"));
}

void Widget::closeCompositionTab(int index){
	qDebug() << "closeCompositionTab, index =" << index;
    tabWidget->removeTab(index);
}
